org.eclipse.emf.cdo.server.db.mapping

## Class AbstractTypeMappingFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.db.mapping.AbstractTypeMappingFactory

- All Implemented Interfaces:
    ITypeMapping.Factory, IFactory

      public abstract class AbstractTypeMappingFactory
      extends Factory
      implements ITypeMapping.Factory

  Abstract implementation for `ITypeMapping.Factory`. Implementors should implement their custom `create(String)` method and construct the factory using their custom descriptor. Subclasses must have a default constructor!
  Since:
    4.0
  Author:
    Stefan Winkler

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.db.mapping.ITypeMapping.Factory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTypeMappingFactory(ITypeMapping.Descriptor descriptor)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ITypeMapping` | `create(java.lang.String description)`
    `ITypeMapping.Descriptor` | `getDescriptor()` Return the descriptor of the kind of type mapping created by this factory.

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `getDescriptionFor, getKey`

- - ### Constructor Detail

    - #### AbstractTypeMappingFactory

          public AbstractTypeMappingFactory(ITypeMapping.Descriptor descriptor)

  - ### Method Detail

    - #### create

          public abstract ITypeMapping create(java.lang.String description)
                                       throws ProductCreationException

      Specified by:
        `create` in interface `IFactory`
      Throws:
        `ProductCreationException`

    - #### getDescriptor

          public final ITypeMapping.Descriptor getDescriptor()

      Description copied from interface: `ITypeMapping.Factory`
      Return the descriptor of the kind of type mapping created by this factory.
      Specified by:
        `getDescriptor` in interface `ITypeMapping.Factory`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html